| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLPolygonOffsetElement Class Reference
Element Classes

The SoGLPolygonOffsetElement class is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoGLPolygonOffsetElement.h>`

Inheritance diagram for SoGLPolygonOffsetElement:

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
| FIXME: write doc.
virtual void | pop (SoState *state, const SoElement *prevTopElement)
| FIXME: write doc.

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
Static Public Member Functions inherited from SoPolygonOffsetElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *state, SoNode *node, float factor, float units, Style styles, SbBool on)
| FIXME: write doc.
static void | get (SoState *state, float &factor, float &units, Style &styles, SbBool &on)
| FIXME: write doc.
static void | getDefault (float &factor, float &units, Style &styles, SbBool &on)
| FIXME: write doc.
Static Public Member Functions inherited from SoReplacedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoGLPolygonOffsetElement ()
virtual void | setElt (float factor, float units, Style styles, SbBool on)
| FIXME: write doc.
Protected Member Functions inherited from SoPolygonOffsetElement
virtual | ~SoPolygonOffsetElement ()
Protected Member Functions inherited from SoReplacedElement
virtual | ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members

Public Types inherited from SoPolygonOffsetElement
enum | Style { FILLED = 0x01, LINES = 0x02, POINTS = 0x04 }
Static Protected Member Functions inherited from SoReplacedElement
static SoElement * | getElement (SoState *const state, const int stackIndex, SoNode *const node)
Protected Attributes inherited from SoPolygonOffsetElement
Style | style
SbBool | active
float | offsetfactor
float | offsetunits
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLPolygonOffsetElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

SoGLPolygonOffsetElement::~SoGLPolygonOffsetElement | ( | void | ) |  |

protectedvirtual

The destructor.

## Member Function Documentation

void * SoGLPolygonOffsetElement::createInstance | ( | void | ) |  |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoGLPolygonOffsetElement::initClass | ( | void | ) |  |

static

This static method initializes static data for the SoGLPolygonOffsetElement class.

The documentation for this class was generated from the following files:

- SoGLPolygonOffsetElement.h
- SoGLPolygonOffsetElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.